Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256914 - app-office/mozilla-sunbird-0.9 - *** buffer overflow detected ***: /usr/lib/mozilla-sunbird/sunbird-bin terminated - /lib/libc.so.6(__fortify_fail+0x48)[0xb7371f98]
Summary: app-office/mozilla-sunbird-0.9 - *** buffer overflow detected ***: /usr/lib/m...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL: https://bugzilla.mozilla.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-01-30 11:36 UTC by qxtr01
Modified: 2009-02-18 00:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description qxtr01 2009-01-30 11:36:31 UTC
i can't start any more sunbird-0.9 after having upgraded my gentoo system.

this is the output of the sunbird command:

$ sunbird
*** buffer overflow detected ***: /usr/lib/mozilla-sunbird/sunbird-bin
terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb7371f98]
/lib/libc.so.6[0xb736ffe0]
/lib/libc.so.6[0xb7370768]
/usr/lib/mozilla-sunbird/sunbird-bin[0x804cdf1]
/usr/lib/mozilla-sunbird/sunbird-bin[0x80524ba]
/usr/lib/mozilla-sunbird/sunbird-bin[0x804e922]
/usr/lib/mozilla-sunbird/sunbird-bin[0x804afcf]
/lib/libc.so.6(__libc_start_main+0xe5)[0xb72a4725]
/usr/lib/mozilla-sunbird/sunbird-bin[0x804aed1]
======= Memory map: ========
08048000-0805a000 r-xp 00000000 03:02 469975    
/usr/lib/mozilla-sunbird/sunbird-bin
0805a000-0805b000 r--p 00011000 03:02 469975    
/usr/lib/mozilla-sunbird/sunbird-bin
0805b000-0805c000 rw-p 00012000 03:02 469975    
/usr/lib/mozilla-sunbird/sunbird-bin
080c9000-080ea000 rw-p 080c9000 00:00 0          [heap]
b71ad000-b71af000 rw-p b71ad000 00:00 0 
b71af000-b71b6000 r-xp 00000000 03:02 608042     /lib/librt-2.9.so
b71b6000-b71b7000 r--p 00006000 03:02 608042     /lib/librt-2.9.so
b71b7000-b71b8000 rw-p 00007000 03:02 608042     /lib/librt-2.9.so
b71b8000-b71b9000 rw-p b71b8000 00:00 0 
b71b9000-b71bd000 r-xp 00000000 03:02 480961     /usr/lib/libXdmcp.so.6.0.0
b71bd000-b71be000 r--p 00003000 03:02 480961     /usr/lib/libXdmcp.so.6.0.0
b71be000-b71bf000 rw-p 00004000 03:02 480961     /usr/lib/libXdmcp.so.6.0.0
b71bf000-b71c1000 r-xp 00000000 03:02 480740     /usr/lib/libXau.so.6.0.0
b71c1000-b71c2000 r--p 00001000 03:02 480740     /usr/lib/libXau.so.6.0.0
b71c2000-b71c3000 rw-p 00002000 03:02 480740     /usr/lib/libXau.so.6.0.0
b71c3000-b71e6000 r-xp 00000000 03:02 119192     /usr/lib/libpng12.so.0.34.0
b71e6000-b71e7000 r--p 00022000 03:02 119192     /usr/lib/libpng12.so.0.34.0
b71e7000-b71e8000 rw-p 00023000 03:02 119192     /usr/lib/libpng12.so.0.34.0
b71e8000-b721e000 r-xp 00000000 03:02 480077     /usr/lib/libpixman-1.so.0.12.0
b721e000-b721f000 r--p 00036000 03:02 480077     /usr/lib/libpixman-1.so.0.12.0
b721f000-b7220000 rw-p 00037000 03:02 480077     /usr/lib/libpixman-1.so.0.12.0
b7220000-b7244000 r-xp 00000000 03:02 78432      /usr/lib/libexpat.so.1.5.2
b7244000-b7245000 ---p 00024000 03:02 78432      /usr/lib/libexpat.so.1.5.2
b7245000-b7247000 r--p 00024000 03:02 78432      /usr/lib/libexpat.so.1.5.2
b7247000-b7248000 rw-p 00026000 03:02 78432      /usr/lib/libexpat.so.1.5.2
b7248000-b7249000 rw-p b7248000 00:00 0 
b7249000-b7252000 r-xp 00000000 03:02 483353     /usr/lib/libXcursor.so.1.0.2
b7252000-b7253000 r--p 00008000 03:02 483353     /usr/lib/libXcursor.so.1.0.2
b7253000-b7254000 rw-p 00009000 03:02 483353     /usr/lib/libXcursor.so.1.0.2
b7254000-b725a000 r-xp 00000000 03:02 481352     /usr/lib/libXrandr.so.2.1.0
b725a000-b725b000 r--p 00005000 03:02 481352     /usr/lib/libXrandr.so.2.1.0
b725b000-b725c000 rw-p 00006000 03:02 481352     /usr/lib/libXrandr.so.2.1.0
b725c000-b7264000 r-xp 00000000 03:02 500286     /usr/lib/libXi.so.6.0.0
b7264000-b7265000 r--p 00007000 03:02 500286     /usr/lib/libXi.so.6.0.0
b7265000-b7266000 rw-p 00008000 03:02 500286     /usr/lib/libXi.so.6.0.0
b7266000-b726e000 r-xp 00000000 03:02 481142     /usr/lib/libXrender.so.1.3.0
b726e000-b726f000 r--p 00007000 03:02 481142     /usr/lib/libXrender.so.1.3.0
b726f000-b7270000 rw-p 00008000 03:02 481142     /usr/lib/libXrender.so.1.3.0
b7270000-b727d000 r-xp 00000000 03:02 483356     /usr/lib/libXext.so.6.4.0
b727d000-b727e000 r--p 0000d000 03:02 483356     /usr/lib/libXext.so.6.4.0
b727e000-b727f000 rw-p 0000e000 03:02 483356     /usr/lib/libXext.so.6.4.0
b727f000-b7280000 rw-p b727f000 00:00 0 
b7280000-b7284000 r-xp 00000000 03:02 480986     /usr/lib/libXfixes.so.3.1.0
b7284000-b7285000 r--p 00003000 03:02 480986     /usr/lib/libXfixes.so.3.1.0
b7285000-b7286000 rw-p 00004000 03:02 480986     /usr/lib/libXfixes.so.3.1.0
b7286000-b7288000 r-xp 00000000 03:02 481049     /usr/lib/libXdamage.so.1.1.0
b7288000-b7289000 r--p 00001000 03:02 481049     /usr/lib/libXdamage.so.1.1.0
b7289000-b728a000 rw-p 00002000 03:02 481049     /usr/lib/libXdamage.so.1.1.0
b728a000-b728c000 r-xp 00000000 03:02 482472    
/usr/lib/libXcomposite.so.1.0.0
b728c000-b728d000 r--p 00001000 03:02 482472    
/usr/lib/libXcomposite.so.1.0.0
b728d000-b728e000 rw-p 00002000 03:02 482472    
/usr/lib/libXcomposite.so.1.0.0
b728e000-b73cb000 r-xp 00000000 03:02 607838     /lib/libc-2.9.so
b73cb000-b73cd000 r--p 0013d000 03:02 607838     /lib/libc-2.9.so
b73cd000-b73ce000 rw-p 0013f000 03:02 607838     /lib/libc-2.9.so
b73ce000-b73d1000 rw-p b73ce000 00:00 0 
b73d1000-b73dd000 r-xp 00000000 03:02 492791    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libgcc_s.so.1
b73dd000-b73de000 r--p 0000b000 03:02 492791    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libgcc_s.so.1
b73de000-b73df000 rw-p 0000c000 03:02 492791    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libgcc_s.so.1
b73df000-b73e0000 rw-p b73df000 00:00 0 
b73e0000-b7403000 r-xp 00000000 03:02 608066     /lib/libm-2.9.so
b7403000-b7404000 r--p 00023000 03:02 608066     /lib/libm-2.9.so
b7404000-b7405000 rw-p 00024000 03:02 608066     /lib/libm-2.9.so
b7405000-b74e6000 r-xp 00000000 03:02 492792    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libstdc++.so.6.0.10
b74e6000-b74e7000 ---p 000e1000 03:02 492792    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libstdc++.so.6.0.10
b74e7000-b74eb000 r--p 000e1000 03:02 492792    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libstdc++.so.6.0.10
b74eb000-b74ec000 rw-p 000e5000 03:02 492792    
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libstdc++.so.6.0.10
b74ec000-b74f2000 rw-p b74ec000 00:00 0 
b74f2000-b74f6000 r-xp 00000000 03:02 483490    
/usr/lib/libgthread-2.0.so.0.1800.4
b74f6000-b74f7000 r--p 00003000 03:02 483490    
/usr/lib/libgthread-2.0.so.0.1800.4
b74f7000-b74f8000 rw-p 00004000 03:02 483490    
/usr/lib/libgthread-2.0.so.0.1800.4
b74f8000-b75e6000 r-xp 00000000 03:02 597498     /usr/lib/libX11.so.6.2.0
b75e6000-b75e7000 ---p 000ee000 03:02 597498     /usr/lib/libX11.so.6.2.0
b75e7000-b75e8000 r--p 000ee000 03:02 597498     /usr/lib/libX11.so.6.2.0
b75e8000-b75eb000 rw-p 000ef000 03:02 597498     /usr/lib/libX11.so.6.2.0
b75eb000-b76bf000 r-xp 00000000 03:02 483509    
/usr/lib/libglib-2.0.so.0.1800.4
b76bf000-b76c0000 r--p 000d3000 03:02 483509    
/usr/lib/libglib-2.0.so.0.1800.4
b76c0000-b76c1000 rw-p 000d4000 03:02 483509    
/usr/lib/libglib-2.0.so.0.1800.4
b76c1000-b76c4000 r-xp 00000000 03:02 483507    
/usr/lib/libgmodule-2.0.so.0.1800.4
b76c4000-b76c5000 r--p 00002000 03:02 483507    
/usr/lib/libgmodule-2.0.so.0.1800.4
b76c5000-b76c6000 rw-p 00003000 03:02 483507    
/usr/lib/libgmodule-2.0.so.0.1800.4
b76c6000-b76c7000 rw-p b76c6000 00:00 0 
b76c7000-b7702000 r-xp 00000000 03:02 483484    
/usr/lib/libgobject-2.0.so.0.1800.4
b7702000-b7703000 r--p 0003b000 03:02 483484    
/usr/lib/libgobject-2.0.so.0.1800.4
b7703000-b7704000 rw-p 0003c000 03:02 483484    
/usr/lib/libgobject-2.0.so.0.1800.4
b7704000-b772f000 r-xp 00000000 03:02 589557    
/usr/lib/libfontconfig.so.1.3.0
b772f000-b7730000 r--p 0002a000 03:02 589557    
/usr/lib/libfontconfig.so.1.3.0
b7730000-b7731000 rw-p 0002b000 03:02 589557    
/usr/lib/libfontconfig.so.1.3.0
b7731000-b7743000 r-xp 00000000 03:02 78728      /lib/libz.so.1.2.3
b7743000-b7744000 r--p 00011000 03:02 78728      /lib/libz.so.1.2.3
b7744000-b7745000 rw-p 00012000 03:02 78728      /lib/libz.so.1.2.3
b7745000-b77c7000 r-xp 00000000 03:02 134362     /usr/lib/libfreetype.so.6.3.19
b77c7000-b77cb000 r--p 00081000 03:02 134362     /usr/lib/libfreetype.so.6.3.19
b77cb000-b77cc000 rw-p 00085000 03:02 134362     /usr/lib/libfreetype.so.6.3.19
b77cc000-b780d000 r-xp 00000000 03:02 549623    
/usr/lib/libpango-1.0.so.0.2203.1
b780d000-b780e000 ---p 00041000 03:02 549623    
/usr/lib/libpango-1.0.so.0.2203.1
b780e000-b780f000 r--p 00041000 03:02 549623    
/usr/lib/libpango-1.0.so.0.2203.1
b780f000-b7810000 rw-p 00042000 03:02 549623    
/usr/lib/libpango-1.0.so.0.2203.1
b7810000-b7811000 rw-p b7810000 00:00 0 
b7811000-b787c000 r-xp 00000000 03:02 549751     /usr/lib/libcairo.so.2.10800.6
b787c000-b787e000 r--p 0006b000 03:02 549751     /usr/lib/libcairo.so.2.10800.6
b787e000-b787f000 rw-p 0006d000 03:02 549751     /usr/lib/libcairo.so.2.10800.6
b787f000-b7888000 r-xp 00000000 03:02 549635    
/usr/lib/libpangocairo-1.0.so.0.2203.1
b7888000-b7889000 r--p 00009000 03:02 549635    
/usr/lib/libpangocairo-1.0.so.0.2203.1
b7889000-b788a000 rw-p 0000a000 03:02 549635    
/usr/lib/libpangocairo-1.0.so.0.2203.1
b788a000-b78a2000 r-xp 00000000 03:02 188655    
/usr/lib/libgdk_pixbuf-2.0.so.0.1400.7
b78a2000-b78a3000 r--p 00017000 03:02 188655    
/usr/lib/libgdk_pixbuf-2.0.so.0.1400.7
b78a3000-b78a4000 rw-p 00018000 03:02 188655    
/usr/lib/libgdk_pixbuf-2.0.so.0.1400.7
b78a4000-b78cb000 r-xp 00000000 03:02 549603    
/usr/lib/libpangoft2-1.0.so.0.2203.1
b78cb000-b78cc000 r--p 00026000 03:02 549603    
/usr/lib/libpangoft2-1.0.so.0.2203.1
b78cc000-b78cd000 rw-p 00027000 03:02 549603    
/usr/lib/libpangoft2-1.0.so.0.2203.1
b78cd000-b7931000 r-xp 00000000 03:02 483495    
/usr/lib/libgio-2.0.so.0.1800.4
b7931000-b7932000 r--p 00064000 03:02 483495    
/usr/lib/libgio-2.0.so.0.1800.4
b7932000-b7933000 rw-p 00065000 03:02 483495    
/usr/lib/libgio-2.0.so.0.1800.4
b7933000-b7934000 rw-p b7933000 00:00 0 
b7934000-b794d000 r-xp 00000000 03:02 496263    
/usr/lib/libatk-1.0.so.0.2409.1
b794d000-b794f000 r--p 00018000 03:02 496263    
/usr/lib/libatk-1.0.so.0.2409.1
b794f000-b7950000 rw-p 0001a000 03:02 496263    
/usr/lib/libatk-1.0.so.0.2409.1
b7950000-b79d7000 r-xp 00000000 03:02 188050    
/usr/lib/libgdk-x11-2.0.so.0.1400.7
b79d7000-b79d9000 r--p 00087000 03:02 188050    
/usr/lib/libgdk-x11-2.0.so.0.1400.7
b79d9000-b79da000 rw-p 00089000 03:02 188050    
/usr/lib/libgdk-x11-2.0.so.0.1400.7
b79da000-b7d5e000 r-xp 00000000 03:02 188607    
/usr/lib/libgtk-x11-2.0.so.0.1400.7
b7d5e000-b7d5f000 ---p 00384000 03:02 188607    
/usr/lib/libgtk-x11-2.0.so.0.1400.7
b7d5f000-b7d63000 r--p 00384000 03:02 188607    
/usr/lib/libgtk-x11-2.0.so.0.1400.7
b7d63000-b7d65000 rw-p 00388000 03:02 188607    
/usr/lib/libgtk-x11-2.0.so.0.1400.7
b7d65000-b7d67000 rw-p b7d65000 00:00 0 
b7d67000-b7d69000 r-xp 00000000 03:02 608005     /lib/libdl-2.9.so
b7d69000-b7d6a000 r--p 00001000 03:02 608005     /lib/libdl-2.9.so
b7d6a000-b7d6b000 rw-p 00002000 03:02 608005     /lib/libdl-2.9.so
b7d6b000-b7d7f000 r-xp 00000000 03:02 607783     /lib/libpthread-2.9.so
b7d7f000-b7d80000 r--p 00013000 03:02 607783     /lib/libpthread-2.9.so
b7d80000-b7d81000 rw-p 00014000 03:02 607783     /lib/libpthread-2.9.so
b7d81000-b7d83000 rw-p b7d81000 00:00 0 
b7d8c000-b7dbe000 r-xp 00000000 03:02 132684     /usr/lib/nspr/libnspr4.so.7
b7dbe000-b7dbf000 r--p 00032000 03:02 132684     /usr/lib/nspr/libnspr4.so.7
b7dbf000-b7dc0000 rw-p 00033000 03:02 132684     /usr/lib/nspr/libnspr4.so.7
b7dc0000-b7dc3000 rw-p b7dc0000 00:00 0 
b7dc3000-b7dc6000 r-xp 00000000 03:02 132657     /usr/lib/nspr/libplc4.so.7
b7dc6000-b7dc7000 r--p 00002000 03:02 132657     /usr/lib/nspr/libplc4.so.7
b7dc7000-b7dc8000 rw-p 00003000 03:02 132657     /usr/lib/nspr/libplc4.so.7
b7dc8000-b7dca000 r-xp 00000000 03:02 132034     /usr/lib/nspr/libplds4.so.7
b7dca000-b7dcb000 r--p 00001000 03:02 132034     /usr/lib/nspr/libplds4.so.7
b7dcb000-b7dcc000 rw-p 00002000 03:02 132034     /usr/lib/nspr/libplds4.so.7
b7dcc000-b7e6a000 r-xp 00000000 03:02 469980    
/usr/lib/mozilla-sunbird/libxpcom_core.so
b7e6a000-b7e71000 r--p 0009d000 03:02 469980    
/usr/lib/mozilla-sunbird/libxpcom_core.so
b7e71000-b7e72000 rw-p 000a4000 03:02 469980    
/usr/lib/mozilla-sunbird/libxpcom_core.so
b7e72000-b7e73000 rw-p b7e72000 00:00 0 
b7e73000-b7e76000 r-xp 00000000 03:02 469972    
/usr/lib/mozilla-sunbird/libxpcom.so
b7e76000-b7e77000 r--p 00002000 03:02 469972    
/usr/lib/mozilla-sunbird/libxpcom.so
b7e77000-b7e78000 rw-p 00003000 03:02 469972    
/usr/lib/mozilla-sunbird/libxpcom.so
b7e78000-b7f27000 r-xp 00000000 03:02 469993    
/usr/lib/mozilla-sunbird/libmozjs.so
b7f27000-b7f29000 r--p 000af000 03:02 469993    
/usr/lib/mozilla-sunbird/libmozjs.so
b7f29000-b7f2d000 rw-p 000b1000 03:02 469993    
/usr/lib/mozilla-sunbird/libmozjs.so
b7f2d000-b7f2e000 rw-p b7f2d000 00:00 0 
b7f2e000-b7f4a000 r-xp 00000000 03:02 608001     /lib/ld-2.9.so
b7f4a000-b7f4b000 r-xp b7f4a000 00:00 0          [vdso]
b7f4b000-b7f4c000 r--p 0001c000 03:02 608001     /lib/ld-2.9.so
b7f4c000-b7f4d000 rw-p 0001d000 03:02 608001     /lib/ld-2.9.so
bfa38000-bfa4d000 rw-p bffeb000 00:00 0          [stack]
/usr/libexec/mozilla-launcher: line 119:  9153 Aborted                 $(type
-P aoss) "$mozbin" $xulparams "$@"
sunbird-bin exited with non-zero status (134)

this is a summary of my system details:

$ emerge --info
Portage 2.1.6.7 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r1,
2.6.28-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r1-i686-AMD_Sempron-tm-_2600+-with-glibc2.0
Timestamp of tree: Thu, 29 Jan 2009 11:45:01 +0000
app-shells/bash:     3.2_p48
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf
/etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/
/etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild
/etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d
/etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c
/etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms
strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
--exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext minimal mmx mmxext sse unicode x86" ALSA_CARDS="ali5451
als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370
ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident
usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="*"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm
authn_default authn_file authz_dbm authz_default authz_groupfile authz_host
authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir
disk_cache env expires ext_filter file_cache filter headers include info
log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling
status unique_id userdir usertrack vhost_alias" ELIBC="glibc"
INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz
cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU"
VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL,
LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS,
PORTAGE_RSYNC_EXTRA_OPTS

i already reported this problem in mozilla buzilla (as bug: https://bugzilla.mozilla.org/show_bug.cgi?id=475952) but it was closed, so i think it's a gentoo-specific problem.

Reproducible: Always

Steps to Reproduce:
Comment 1 Jeroen Roovers gentoo-dev 2009-01-30 21:27:00 UTC
Actually it was resolved as a duplicate of [1] which was deemed invalid. I don't agree with that, just thought I'd make a point of order.


[1] https://bugzilla.mozilla.org/show_bug.cgi?id=408367
Comment 2 bb 2009-02-03 16:49:25 UTC
same here:

$ sunbird 
*** buffer overflow detected ***: /usr/lib64/mozilla-sunbird/sunbird-bin terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x37)[0x7fda6708daf7]
/lib/libc.so.6[0x7fda6708b8f0]
/lib/libc.so.6[0x7fda6708bfdb]
/usr/lib64/mozilla-sunbird/sunbird-bin[0x40591c]
/usr/lib64/mozilla-sunbird/sunbird-bin[0x40b3e4]
/usr/lib64/mozilla-sunbird/sunbird-bin[0x4075ee]
/lib/libc.so.6(__libc_start_main+0xe6)[0x7fda66fab486]
/usr/lib64/mozilla-sunbird/sunbird-bin[0x403ca9]
======= Memory map: ========
00400000-00415000 r-xp 00000000 08:03 36574933                           /usr/lib64/mozilla-sunbird/sunbird-bin
00615000-00616000 r--p 00015000 08:03 36574933                           /usr/lib64/mozilla-sunbird/sunbird-bin
00616000-00617000 rw-p 00016000 08:03 36574933                           /usr/lib64/mozilla-sunbird/sunbird-bin
00ba4000-00bc5000 rw-p 00ba4000 00:00 0                                  [heap]
7fda643b4000-7fda643be000 r-xp 00000000 08:03 35755693                   /usr/lib64/libdrm.so.2.4.0
7fda643be000-7fda645bd000 ---p 0000a000 08:03 35755693                   /usr/lib64/libdrm.so.2.4.0
7fda645bd000-7fda645be000 r--p 00009000 08:03 35755693                   /usr/lib64/libdrm.so.2.4.0
7fda645be000-7fda645bf000 rw-p 0000a000 08:03 35755693                   /usr/lib64/libdrm.so.2.4.0
7fda645bf000-7fda645c4000 r-xp 00000000 08:03 26228655                   /usr/lib64/libXxf86vm.so.1.0.0
7fda645c4000-7fda647c3000 ---p 00005000 08:03 26228655                   /usr/lib64/libXxf86vm.so.1.0.0
7fda647c3000-7fda647c4000 r--p 00004000 08:03 26228655                   /usr/lib64/libXxf86vm.so.1.0.0
7fda647c4000-7fda647c5000 rw-p 00005000 08:03 26228655                   /usr/lib64/libXxf86vm.so.1.0.0
7fda647c5000-7fda647ca000 r-xp 00000000 08:03 26241318                   /usr/lib64/libXdmcp.so.6.0.0
7fda647ca000-7fda649c9000 ---p 00005000 08:03 26241318                   /usr/lib64/libXdmcp.so.6.0.0
7fda649c9000-7fda649ca000 r--p 00004000 08:03 26241318                   /usr/lib64/libXdmcp.so.6.0.0
7fda649ca000-7fda649cb000 rw-p 00005000 08:03 26241318                   /usr/lib64/libXdmcp.so.6.0.0
7fda649cb000-7fda64a4b000 r-xp 00000000 08:03 36451930                   /usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2
7fda64a4b000-7fda64c4a000 ---p 00080000 08:03 36451930                   /usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2
7fda64c4a000-7fda64c52000 r--p 0007f000 08:03 36451930                   /usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2
7fda64c52000-7fda64c55000 rw-p 00087000 08:03 36451930                   /usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2
7fda64c55000-7fda64c7e000 r-xp 00000000 08:03 26236996                   /usr/lib64/libglitz.so.1.0.0
7fda64c7e000-7fda64e7d000 ---p 00029000 08:03 26236996                   /usr/lib64/libglitz.so.1.0.0
7fda64e7d000-7fda64e7e000 r--p 00028000 08:03 26236996                   /usr/lib64/libglitz.so.1.0.0
7fda64e7e000-7fda64e7f000 rw-p 00029000 08:03 26236996                   /usr/lib64/libglitz.so.1.0.0
7fda64e7f000-7fda64e81000 r-xp 00000000 08:03 30808341                   /usr/lib64/libXau.so.6.0.0
7fda64e81000-7fda65080000 ---p 00002000 08:03 30808341                   /usr/lib64/libXau.so.6.0.0
7fda65080000-7fda65081000 r--p 00001000 08:03 30808341                   /usr/lib64/libXau.so.6.0.0
7fda65081000-7fda65082000 rw-p 00002000 08:03 30808341                   /usr/lib64/libXau.so.6.0.0
7fda65082000-7fda6508a000 r-xp 00000000 08:03 32880577                   /lib64/librt-2.8.so
7fda6508a000-7fda65289000 ---p 00008000 08:03 32880577                   /lib64/librt-2.8.so
7fda65289000-7fda6528a000 r--p 00007000 08:03 32880577                   /lib64/librt-2.8.so
7fda6528a000-7fda6528b000 rw-p 00008000 08:03 32880577                   /lib64/librt-2.8.so
7fda6528b000-7fda652a7000 r-xp 00000000 08:03 35751672                   /usr/lib64/libxcb.so.1.0.0
7fda652a7000-7fda654a7000 ---p 0001c000 08:03 35751672                   /usr/lib64/libxcb.so.1.0.0
7fda654a7000-7fda654a8000 r--p 0001c000 08:03 35751672                   /usr/lib64/libxcb.so.1.0.0
7fda654a8000-7fda654a9000 rw-p 0001d000 08:03 35751672                   /usr/lib64/libxcb.so.1.0.0
7fda654a9000-7fda654aa000 r-xp 00000000 08:03 35719279                   /usr/lib64/libxcb-xlib.so.0.0.0
7fda654aa000-7fda656aa000 ---p 00001000 08:03 35719279                   /usr/lib64/libxcb-xlib.so.0.0.0
7fda656aa000-7fda656ab000 r--p 00001000 08:03 35719279                   /usr/lib64/libxcb-xlib.so.0.0.0
7fda656ab000-7fda656ac000 rw-p 00002000 08:03 35719279                   /usr/lib64/libxcb-xlib.so.0.0.0
7fda656ac000-7fda656d1000 r-xp 00000000 08:03 35750881                   /usr/lib64/libpng12.so.0.34.0
7fda656d1000-7fda658d0000 ---p 00025000 08:03 35750881                   /usr/lib64/libpng12.so.0.34.0
7fda658d0000-7fda658d1000 r--p 00024000 08:03 35750881                   /usr/lib64/libpng12.so.0.34.0
7fda658d1000-7fda658d2000 rw-p 00025000 08:03 35750881                   /usr/lib64/libpng12.so.0.34.0
7fda658d2000-7fda658d8000 r-xp 00000000 08:03 26238146                   /usr/lib64/libglitz-glx.so.1.0.0
7fda658d8000-7fda65ad7000 ---p 00006000 08:03 26238146                   /usr/lib64/libglitz-glx.so.1.0.0
7fda65ad7000-7fda65ad8000 r--p 00005000 08:03 26238146                   /usr/lib64/libglitz-glx.so.1.0.0
7fda65ad8000-7fda65ad9000 rw-p 00006000 08:03 26238146                   /usr/lib64/libglitz-glx.so.1.0.0
7fda65ad9000-7fda65b1b000 r-xp 00000000 08:03 31881784                   /usr/lib64/libpixman-1.so.0.12.0
7fda65b1b000-7fda65d1b000 ---p 00042000 08:03 31881784                   /usr/lib64/libpixman-1.so.0.12.0
7fda65d1b000-7fda65d1d000 r--p 00042000 08:03 31881784                   /usr/lib64/libpixman-1.so.0.12.0
7fda65d1d000-7fda65d1e000 rw-p 00044000 08:03 31881784                   /usr/lib64/libpixman-1.so.0.12.0
7fda65d1e000-7fda65d45000 r-xp 00000000 08:03 35485259                   /usr/lib64/libexpat.so.1.5.2
7fda65d45000-7fda65f45000 ---p 00027000 08:03 35485259                   /usr/lib64/libexpat.so.1.5.2
7fda65f45000-7fda65f47000 r--p 00027000 08:03 35485259                   /usr/lib64/libexpat.so.1.5.2
7fda65f47000-7fda65f48000 rw-p 00029000 08:03 35485259                   /usr/lib64/libexpat.so.1.5.2
7fda65f48000-7fda65f52000 r-xp 00000000 08:03 30678852                   /usr/lib64/libXcursor.so.1.0.2
7fda65f52000-7fda66151000 ---p 0000a000 08:03 30678852                   /usr/lib64/libXcursor.so.1.0.2
7fda66151000-7fda66152000 r--p 00009000 08:03 30678852                   /usr/lib64/libXcursor.so.1.0.2
7fda66152000-7fda66153000 rw-p 0000a000 08:03 30678852                   /usr/lib64/libXcursor.so.1.0.2
7fda66153000-7fda6615a000 r-xp 00000000 08:03 25968078                   /usr/lib64/libXrandr.so.2.1.0
7fda6615a000-7fda66359000 ---p 00007000 08:03 25968078                   /usr/lib64/libXrandr.so.2.1.0
7fda66359000-7fda6635a000 r--p 00006000 08:03 25968078                   /usr/lib64/libXrandr.so.2.1.0
7fda6635a000-7fda6635b000 rw-p 00007000 08:03 25968078                   /usr/lib64/libXrandr.so.2.1.0
7fda6635b000-7fda66364000 r-xp 00000000 08:03 30940169                   /usr/lib64/libXi.so.6.0.0
7fda66364000-7fda66563000 ---p 00009000 08:03 30940169                   /usr/lib64/libXi.so.6.0.0
7fda66563000-7fda66564000 r--p 00008000 08:03 30940169                   /usr/lib64/libXi.so.6.0.0
7fda66564000-7fda66565000 rw-p 00009000 08:03 30940169                   /usr/lib64/libXi.so.6.0.0
7fda66565000-7fda6656e000 r-xp 00000000 08:03 26229166                   /usr/lib64/libXrender.so.1.3.0
7fda6656e000-7fda6676d000 ---p 00009000 08:03 26229166                   /usr/lib64/libXrender.so.1.3.0
7fda6676d000-7fda6676e000 r--p 00008000 08:03 26229166                   /usr/lib64/libXrender.so.1.3.0
7fda6676e000-7fda6676f000 rw-p 00009000 08:03 26229166                   /usr/lib64/libXrender.so.1.3.0
7fda6676f000-7fda66780000 r-xp 00000000 08:03 31825609                   /usr/lib64/libXext.so.6.4.0
7fda66780000-7fda6697f000 ---p 00011000 08:03 31825609                   /usr/lib64/libXext.so.6.4.0
7fda6697f000-7fda66980000 r--p 00010000 08:03 31825609                   /usr/lib64/libXext.so.6.4.0
7fda66980000-7fda66981000 rw-p 00011000 08:03 31825609                   /usr/lib64/libXext.so.6.4.0
7fda66981000-7fda66986000 r-xp 00000000 08:03 26229660                   /usr/lib64/libXfixes.so.3.1.0
7fda66986000-7fda66b85000 ---p 00005000 08:03 26229660                   /usr/lib64/libXfixes.so.3.1.0
7fda66b85000-7fda66b86000 r--p 00004000 08:03 26229660                   /usr/lib64/libXfixes.so.3.1.0
7fda66b86000-7fda66b87/usr/libexec/mozilla-launcher: line 119: 15077 Abgebrochen             $(type -P aoss) "$mozbin" $xulparams "$@"
sunbird-bin exited with non-zero status (134)


$ emerge --info
Portage 2.1.6.4 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.8_p20080602-r0, 2.6.28-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r1-x86_64-Intel-R-_Core-TM-2_CPU_6400_@_2.13GHz-with-glibc2.2.5
Timestamp of tree: Tue, 03 Feb 2009 14:30:17 +0000
distcc 3.0 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS=" -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS=" -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/mystuff/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 branding bzip2 cdr cli cracklib crypt cups dbus dri dvd dvdr encode ffmpeg flac gdbm glibc-omitfp gnome gnome-keyring gpm gtk hal iconv isdnlog jpeg libnotify lirc mad midi mikmod mmkeys mmx mmxext mp3 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pcre perl png pppd python readline reflection samba session smp spl sse sse2 ssl ssse3 suid svg sysfs tcpd tiff unicode vorbis xorg xulrunner xv zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="g15" LINGUAS="de" LIRC_DEVICES="asusdh" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Raúl Porcel (RETIRED) gentoo-dev 2009-02-04 09:58:02 UTC
Please check bug 252302
Comment 4 Raúl Porcel (RETIRED) gentoo-dev 2009-02-16 11:06:40 UTC
Please, sync and reemerge mozilla-sunbird. Let me know if it works.
Comment 5 qxtr01 2009-02-16 13:47:40 UTC
yes it works now. thanks!
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2009-02-16 14:09:12 UTC
Great then.